
Name:         xscrabble
Summary:      X version of the popular board game
Group:        Games/Boards
License:      GPL
Version:      2.10
Release:      %mkrel 2
URL:          ftp://ftp.ac-grenoble.fr/ge/educational_games
Source0:      %{name}-%{version}.tar.bz2
Source1:      %{name}_en.tgz
Source2:      %{name}_fr.tgz
Source10:	scrabble-48.png
Source11:	scrabble-32.png
Source12:	scrabble-16.png
Patch:        %{name}-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
X version of the popular board game, for 1 to 4 players.


%debug_package
%prep
%setup -a1 -a2
%patch

%build
./build bin

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./build install
DESTDIR=$RPM_BUILD_ROOT ./build lang fr 
DESTDIR=$RPM_BUILD_ROOT ./build lang en


mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}

install -m 644 %SOURCE10 %{buildroot}/%{_liconsdir}/%{name}.png
install -m 644 %SOURCE11 %{buildroot}/%{_iconsdir}/%{name}.png
install -m 644 %SOURCE12 %{buildroot}/%{_miconsdir}/%{name}.png


mkdir -p %{buildroot}/%_bindir
mv %{buildroot}/usr/games/xscrab %{buildroot}/%_bindir/xscrab
mv %{buildroot}/usr/games/xscrabble %{buildroot}/%_bindir/xscrabble


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XScrabble
Comment=A popular board gamer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Boards
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%defattr(-,root,root)
%doc CHANGES LICENSE README
%_bindir/xscrab
%_bindir/xscrabble
%_datadir/games/scrabble/
/usr/X11R6/lib/X11/app-defaults/*
%config(noreplace) %attr(664,games,games) /var/games/scrabble*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop

%changelog -n xscrabble
* Wed Jan 06 2010 Texstar <texstar at gmail.com> 2.1.0-3pclos2010
- rebuild

* Sun Jun 24 2007 Texstar <texstar@gmail.com> 2.1.0-2pclos2007
- Fix Synaptic Section geesh

* Sat Jun 23 2007 Texstar <texstar@houston.rr.com> 2.1.0-1pclos2007
- import into pclos


